Bug 511 - RFE: Ask Sun whether they donate the /usr/openwin/share/man/*/*Xp* manual pages to Xorg
Summary: RFE: Ask Sun whether they donate the /usr/openwin/share/man/*/*Xp* manual pag...
Status: RESOLVED FIXED
Alias: None
Product: xprint
Classification: Unclassified
Component: Documentation: Manual pages (manpages) (show other bugs)
Version: unspecified
Hardware: SPARC Solaris
: high normal
Assignee: Alan Coopersmith
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-20 10:32 UTC by Roland Mainz
Modified: 2004-05-21 06:29 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Roland Mainz 2004-04-20 10:32:28 UTC
[David came up with the idea last week, I am only forwarding the request]
Solaris has some nice manual pages for libXp - is it possible that Sun "donates"
these pages to X.org ?

The manual pages in question are:
-- snip --
% ls -1 /usr/openwin/share/man/*/*Xp*
/usr/openwin/share/man/man1/Xprt.1
/usr/openwin/share/man/man3/libXp.3
/usr/openwin/share/man/man3/XpCancelDoc.3
/usr/openwin/share/man/man3/XpCancelJob.3
/usr/openwin/share/man/man3/XpCancelPage.3
/usr/openwin/share/man/man3/XpCreateContext.3
/usr/openwin/share/man/man3/XpDestroyContext.3
/usr/openwin/share/man/man3/XpEndDoc.3
/usr/openwin/share/man/man3/XpEndJob.3
/usr/openwin/share/man/man3/XpEndPage.3
/usr/openwin/share/man/man3/XpFreePrinterList.3
/usr/openwin/share/man/man3/XpGetAttributes.3
/usr/openwin/share/man/man3/XpGetContext.3
/usr/openwin/share/man/man3/XpGetDocumentData.3
/usr/openwin/share/man/man3/XpGetImageResolution.3
/usr/openwin/share/man/man3/XpGetLocaleHinter.3
/usr/openwin/share/man/man3/XpGetOneAttribute.3
/usr/openwin/share/man/man3/XpGetPageDimensions.3
/usr/openwin/share/man/man3/XpGetPdmStartParams.3
/usr/openwin/share/man/man3/XpGetPrinterList.3
/usr/openwin/share/man/man3/XpGetScreenOfContext.3
/usr/openwin/share/man/man3/XpInputSelected.3
/usr/openwin/share/man/man3/XpPutDocumentData.3
/usr/openwin/share/man/man3/XpQueryExtension.3
/usr/openwin/share/man/man3/XpQueryScreens.3
/usr/openwin/share/man/man3/XpQueryVersion.3
/usr/openwin/share/man/man3/XpRehashPrinterList.3
/usr/openwin/share/man/man3/XpSelectInput.3
/usr/openwin/share/man/man3/XpSetAttributes.3
/usr/openwin/share/man/man3/XpSetContext.3
/usr/openwin/share/man/man3/XpSetImageResolution.3
/usr/openwin/share/man/man3/XpSetLocaleHinter.3
/usr/openwin/share/man/man3/XpStartDoc.3
/usr/openwin/share/man/man3/XpStartJob.3
/usr/openwin/share/man/man3/XpStartPage.3
-- snip --
Comment 1 Roland Mainz 2004-04-20 10:33:21 UTC
Alan:
Are there any DocBook or SolBook versions of these pages or are they only
available in the "traditional" troff format ?
Comment 2 Alan Coopersmith 2004-04-20 12:11:28 UTC
None of the X man pages for Solaris have been converted to any SGML format -
they're all still troff only.

I'll check into the history of these pages to see if we can contribute them.
Comment 3 Alan Coopersmith 2004-05-22 16:29:08 UTC
I've cleaned them up a little and committed them as xc/doc/man/Xp/*

They could probably use some more review and cleanup by someone with more time
to devote to the task, but at least they're there now so you can work on them.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.